Loading...
Searching...
No Matches
OdsException Class Reference

`#include <odsexception.h>`

Inheritance diagram for OdsException:

## Public Member Functions

| OdsException (const QString &message) throw ()
| OdsException (const OdsException &other) throw ()
void | raise () const override
virtual QException * | clone () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~OdsException () throw ()

## Private Attributes

std::string | m_stdMessage
QString | m_message

## Detailed Description

Definition at line 26 of file odsexception.h.

## Constructor & Destructor Documentation

## OdsException() [1/2]

OdsException::OdsException | ( | const QString & | message | ) |
throw | ( | ) |  |  |

inline

Definition at line 29 of file odsexception.h.

{
qDebug() << message;
m_message = message;
m_stdMessage.assign(m_message.toStdString());
}
OdsException::m_stdMessage
std::string m_stdMessage
Definition odsexception.h:69
OdsException::m_message
QString m_message
Definition odsexception.h:70

References m_message, and m_stdMessage.

Referenced by OdsException(), and clone().

## OdsException() [2/2]

OdsException::OdsException | ( | const OdsException & | other | ) |
throw | ( | ) |  |  |

inline

Definition at line 36 of file odsexception.h.

{
m_message = other.m_message;
m_stdMessage.assign(m_message.toStdString());
}

References OdsException(), m_message, and m_stdMessage.

## ~OdsException()

virtual OdsException::~OdsException | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Definition at line 64 of file odsexception.h.

{
}

## Member Function Documentation

## clone()

virtual QException * OdsException::clone | ( |  | ) | const

inline override virtual

Definition at line 47 of file odsexception.h.

{
return new OdsException(*this);
}
OdsException::OdsException
OdsException(const QString &message)
Definition odsexception.h:29

References OdsException().

## qwhat()

virtual const QString & OdsException::qwhat | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

Definition at line 53 of file odsexception.h.

{
return m_message;
}

References m_message.

Referenced by TsvReader::readCsvRow().

## raise()

void OdsException::raise | ( |  | ) | const

inline override

Definition at line 42 of file odsexception.h.

{
throw *this;
}

## what()

const char * OdsException::what | ( |  | ) | const

inline override noexcept

Definition at line 59 of file odsexception.h.

{
return m_stdMessage.c_str();
}

References m_stdMessage.

Referenced by TsvReader::readCsvRow().

## Member Data Documentation

## m_message

QString OdsException::m_message

private

Definition at line 70 of file odsexception.h.

Referenced by OdsException(), OdsException(), and qwhat().

## m_stdMessage

std::string OdsException::m_stdMessage

private

Definition at line 69 of file odsexception.h.

Referenced by OdsException(), OdsException(), and what().

The documentation for this class was generated from the following file:

- odsstream/odsexception.h